List Payment Intents
curl --request GET \
--url https://api.staging.blackbird.xyz/flynet/v1/payment_intentsconst options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Payments
List Payment Intents
GET
/
payment_intents
List Payment Intents
curl --request GET \
--url https://api.staging.blackbird.xyz/flynet/v1/payment_intentsconst options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns paginated Payment Intents visible to your app. You can filter
by payer or payee account balance.
Auth: OAuth access token.
Query parameters
| Parameter | Type | Notes |
|---|---|---|
payee_account_balance_id | UUID | Merchant wallet receiving FLY. |
payer_account_balance_id | UUID | Member wallet paying FLY. |
page | integer | Default 0. |
page_size | integer | Default 50. |
Example
curl "https://api.staging.blackbird.xyz/flynet/v1/payment_intents?page=0&page_size=25" \
-H "Authorization: Bearer $ACCESS_TOKEN"
Response
{
"payment_intents": [
{
"id": "{uuid}",
"object": "payment_intent",
"amount": { "value": "1000000000000000000", "currency": "FLY" },
"description": "Event ticket",
"status": "pending",
"created_at": "2026-05-11T20:00:00Z",
"updated_at": "2026-05-11T20:00:00Z"
}
],
"pagination": {
"total_count": 1,
"total_pages": 1,
"current_page": 0,
"next_page": null,
"page_size": 25
}
}
⌘I